POST /api/v202606/edx/ai/explain

Explains a KQL query in plain English.

ExplainV202606
Describes what the query returns and how, for users who didn’t write it. Read-only; the query is not executed.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

EdxAiExplainRequestV202606
Property Description Type
kql string
Example Request Body application/json
{  "kql": "string"
}

Responses

200 The plain-English explanation of the query. The request succeeded and the response body contains the requested data.

Response Body Parameters

EdxAiExplainResponseV202606
Property Description Type
explanation string
Example Response application/json
{  "explanation": "string"
}